Skip to main content
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
matched
List matched transactions report
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/matched \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "transaction_id": "<string>",
      "match_group_id": "<string>",
      "source_id": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "date": "2023-12-25"
    }
  ],
  "pagination": {
    "nextCursor": "eyJpZCI6IjEyMyJ9",
    "prevCursor": "eyJpZCI6IjEyMiJ9",
    "limit": 20,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string<uuid>
required

The unique identifier of the reconciliation context.

Query Parameters

date_from
string<date>
required

Start date (YYYY-MM-DD)

date_to
string<date>
required

End date (YYYY-MM-DD)

source_id
string

Source ID filter

cursor
string

The cursor value for retrieving the next page of results.

limit
integer
default:20

The maximum number of items to include in the response.

Required range: 1 <= x <= 200
sort_order
enum<string>
default:desc

Sort order by date

Available options:
asc,
desc

Response

Paginated list of matched transactions

Cursor-paginated list of matched transactions

items
object[]

List of matched transaction items

pagination
object

Cursor-based pagination metadata